explain_pipe2_or_die(3)

NAME
explain_pipe2_or_die - create pipe and report errors

SYNOPSIS
#include <libexplain/pipe2.h>

void explain_pipe2_or_die(int *fildes, int flags);
int explain_pipe2_on_error(int *fildes, int flags);

DESCRIPTION
The explain_pipe2_or_die function is used to call the pipe2(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_pipe2(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_pipe2_on_error function is used to call the pipe2(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_pipe2(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the pipe2(2) system call.

flags
    The flags, exactly as to be passed to the pipe2(2) system call.

RETURN VALUE
The explain_pipe2_or_die function only returns on success, see pipe2(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_pipe2_on_error function always returns the value return by the wrapped pipe2(2) system call.

EXAMPLE
The explain_pipe2_or_die function is intended to be used in a fashion similar to the following example:
    explain_pipe2_or_die(fildes, flags);

SEE ALSO

pipe2(2)
    create pipe

explain_pipe2(3)
    explain pipe2(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2013 Peter Miller